package com.jty.wsxt.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @author Manjiajie
 * @since 2019-6-21 09:39:29
 */
@Component
@FeignClient(value = "auth-server",primary = false)
public interface UserFeign {

    /**
     * 得到登录用户的名称
     * @return String
     */
    @GetMapping("/manage/user/name")
    String getLoginName();


    /**
     * 得到登录用户的ID
     * @return Integer
     */
    @GetMapping("/manage/user/id")
    Integer getLoginId();

}
