package com.jty.wsxt.domain.model.paper;

import com.jty.wsxt.domain.DomainRegistry;
import com.jty.wsxt.domain.model.module.Module;
import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;

import javax.persistence.Entity;

/**
 * Paper
 *
 * @author Manjiajie
 * @since 2019-6-21 10:41:39
 */
@Data
@Entity
public class Paper extends IdentifiedEntityObject<Module> {

    private String name;

    private Integer moduleId;

    private Integer creatorId;

    private Integer subjectId;

    private Integer typeId;

    private Integer specialistId;

    private String answer;

    private String firstFeedback;

    private String secondFeedback;

    @Override
    public boolean sameIdentityAs(Module other) {
        return false;
    }

    public void save(){
        DomainRegistry.paperRepository().save(this);
    }

    public void delete(){
        DomainRegistry.paperRepository().delete(this);
    }
}
